Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jsystems.framework.common.action.swing
Class TreeWillExpandAction

    java.lang.Object
      de.jsystems.framework.common.action.AbstractAction
          de.jsystems.framework.common.action.swing.TreeWillExpandAction

All Implemented Interfaces:
  EventListener, TreeWillExpandListener

public class TreeWillExpandAction
extends AbstractAction
implements TreeWillExpandListener

Actionimplementierung fuer TreeExpansionEvent.

Version:
  1.0
  Copyright by Jens Homm 2001 - 2004
Author:
  Jens Homm JSYSTEMS

Constructor Summary
`TreeWillExpandAction()`

Method Summary
`void` | `doTreeWillCollapse(TreeExpansionEvent tee)` Abgeleitete Klassen müssen diese Methode ueberschreiben.
`void` | `doTreeWillExpand(TreeExpansionEvent tee)` Abgeleitete Klassen müssen diese Methode ueberschreiben.
`void` | `treeWillCollapse(TreeExpansionEvent event)`
`void` | `treeWillExpand(TreeExpansionEvent event)`

Methods inherited from class de.jsystems.framework.common.action.AbstractAction
`addControl, disable, enable, exceptionInAction, getController, getControls, getException, getView, hasException, initialize, isEnabled, removeAll, removeControl, setException`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TreeWillExpandAction

    public TreeWillExpandAction()

Method Detail

### treeWillExpand

    public void treeWillExpand(TreeExpansionEvent event)
                        throws ExpandVetoException

  Specified by:
    `treeWillExpand` in interface `TreeWillExpandListener`
  Throws:
    `ExpandVetoException`

### doTreeWillExpand

    public void doTreeWillExpand(TreeExpansionEvent tee)
                          throws Exception

  Abgeleitete Klassen müssen diese Methode ueberschreiben. Hierin passiert die eigentliche Aktion der Action. Falls hier eine Exception ausgeloest wird und es sich dabei um eine `ExpandVetoException` handelt, so wird diese Exception nicht in der MessageList des Controllers eingetragen, sondern weitergegeben, damit der Baumknoten nicht expandiert wird. In diesem Fall wird auch nicht die Methode `Controller.exceptionInAction(AbstractAction, Exception)` im Controller aufgerufen.

  Parameters:
    `tee` - Das Eventobjekt mit dem ausgeloesten Event.
  Throws:
    `Exception` - wenn beim ausfuehren der Methode ein Fehler auftritt.

### treeWillCollapse

    public void treeWillCollapse(TreeExpansionEvent event)
                          throws ExpandVetoException

  Specified by:
    `treeWillCollapse` in interface `TreeWillExpandListener`
  Throws:
    `ExpandVetoException`

### doTreeWillCollapse

    public void doTreeWillCollapse(TreeExpansionEvent tee)
                            throws Exception

  Abgeleitete Klassen müssen diese Methode ueberschreiben. Hierin passiert die eigentliche Aktion der Action. Falls hier eine Exception ausgeloest wird und es sich dabei um eine `ExpandVetoException` handelt, so wird diese Exception nicht in der MessageList des Controllers eingetragen, sondern weitergegeben, damit der Baumknoten nicht zusammengeklappt wird. In diesem Fall wird auch nicht die Methode `Controller.exceptionInAction(AbstractAction, Exception)` im Controller aufgerufen.

  Parameters:
    `tee` - Das Eventobjekt mit dem ausgeloesten Event.
  Throws:
    `Exception` - wenn beim ausfuehren der Methode ein Fehler auftritt.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD